aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-02-04 17:35:33 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-02-04 18:57:34 +0100
commitc16a1bad33ec793164c36ba15e7def3fe860a859 (patch)
tree1a45733b85700a9013f1d85c74e42e45fcf9d209 /jjb/common
parentafb0b168cec8ab5603c87fd6982fda4c47a03030 (diff)
Changes for the koi branch in CI.
Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org> Change-Id: Ie1080c88c643c5f1c74a4f115350efb47bfd83bd
Diffstat (limited to 'jjb/common')
-rw-r--r--jjb/common/include-agl-auto-conf-cvscheck.sh4
-rw-r--r--jjb/common/include-agl-header.sh5
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh2
-rw-r--r--jjb/common/include-agl-set-compositor-image.sh4
-rw-r--r--jjb/common/include-agl-set-html5-image.sh4
-rw-r--r--jjb/common/include-apps-header.sh2
6 files changed, 10 insertions, 11 deletions
diff --git a/jjb/common/include-agl-auto-conf-cvscheck.sh b/jjb/common/include-agl-auto-conf-cvscheck.sh
index a5dc135a..d01a730c 100644
--- a/jjb/common/include-agl-auto-conf-cvscheck.sh
+++ b/jjb/common/include-agl-auto-conf-cvscheck.sh
@@ -7,9 +7,5 @@
# only morty and newer support the cve-check, so check for master branch
-if [ x"master" = x"$GERRIT_BRANCH" ] ; then
-
-# archive sources within tmp/deploy/
echo '' >> conf/auto.conf
echo 'INHERIT += "cve-check"' >> conf/auto.conf
-fi \ No newline at end of file
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index c837b934..b8b12ecb 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -155,7 +155,7 @@ set -x
# h3ulcb-nogfx means no graphic drivers
if test x"h3ulcb-nogfx" = x"$MACHINE"; then
export TARGETIMAGE=${TARGETIMAGEnogfx}
- if test x"master" = x"${TARGETBRANCH}" ; then
+ if test x"master" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
export TARGETFEATURES="${TARGETFEATURESnogfx} agl-refhw-h3"
else
export TARGETFEATURES="${TARGETFEATURESnogfx}"
@@ -171,6 +171,9 @@ fi
if test x"raspberrypi4" = x"${MACHINE}" -a x"jellyfish" = x"${TARGETBRANCH}" ; then
export TARGETMACHINE="raspberrypi4-64"
fi
+if test x"raspberrypi4" = x"${MACHINE}" -a x"koi" = x"${TARGETBRANCH}" ; then
+ export TARGETMACHINE="raspberrypi4-64"
+fi
#if $DEBUG; then
set | grep ^TARGET || true
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index 4ab5fd08..ed597187 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -100,7 +100,7 @@ qemuarm64)
gen_info || exit 0
;;
h3ulcb-nogfx)
- if test x"master" = x"${TARGETBRANCH}" ; then
+ if test x"master" = x"${TARGETBRANCH}" -o x"koi" = x"${TARGETBRANCH}"; then
lava_device=r8a7795-agl-refhw
releng_device=r8a7795-agl-refhw
gen_info || exit 0
diff --git a/jjb/common/include-agl-set-compositor-image.sh b/jjb/common/include-agl-set-compositor-image.sh
index 3bb577a1..10b6c7e2 100644
--- a/jjb/common/include-agl-set-compositor-image.sh
+++ b/jjb/common/include-agl-set-compositor-image.sh
@@ -10,10 +10,10 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master jellyfish icefish" | grep -q $TARGETBRANCH ) || exit 0
+( echo "master jellyfish icefish koi" | grep -q $TARGETBRANCH ) || exit 0
# Use the agl-compositor
-export TARGETFEATURES="agl-demo agl-devel agl-netboot agl-compositor"
+export TARGETFEATURES="agl-demo agl-devel agl-netboot"
export TARGETQA=""
export TARGETIMAGE="agl-demo-platform"
diff --git a/jjb/common/include-agl-set-html5-image.sh b/jjb/common/include-agl-set-html5-image.sh
index 002ff994..27188ebc 100644
--- a/jjb/common/include-agl-set-html5-image.sh
+++ b/jjb/common/include-agl-set-html5-image.sh
@@ -10,9 +10,9 @@ set -e
################################################################################
# only run on master, jellyfish and icefish
-( echo "master jellyfish icefish" | grep -q $TARGETBRANCH ) || exit 0
+( echo "master jellyfish icefish koi" | grep -q $TARGETBRANCH ) || exit 0
-export TARGETFEATURES="agl-demo agl-profile-graphical-html5 agl-devel"
+export TARGETFEATURES="agl-demo agl-devel"
export TARGETQA=""
export TARGETIMAGE="agl-demo-platform-html5"
diff --git a/jjb/common/include-apps-header.sh b/jjb/common/include-apps-header.sh
index 8919f3c6..cb116fba 100644
--- a/jjb/common/include-apps-header.sh
+++ b/jjb/common/include-apps-header.sh
@@ -109,7 +109,7 @@ case "$TARGETARCH" in
x86-64)
export TARGETSDKARCH="corei7-64"
# starting with master, we use qemu for the SDK.
- if test x"master" = x"$AGLBRANCH" -o x"jellyfish" = x"${AGLBRANCH}" ; then
+ if test x"master" = x"$AGLBRANCH" -o x"jellyfish" = x"${AGLBRANCH}" -o x"koi" = x"${AGLBRANCH}" ; then
export TARGETSDKMACHINE="qemux86-64"
else
export TARGETSDKMACHINE="intel-corei7-64"